[Overview][Types][Procedures and functions][Index] | Reference for unit 'URIParser' (#fcl)

# FilenameToURI

Construct a URI from a filename

## Declaration

Source position: uriparser.pp line 50

`function FilenameToURI(`
`const Filename: String`
`):String;`

## Arguments

`Filename` |  | Filename to construct URI from

## Function result

file: protocol URI

## Description

FilenameToURI takes Filename and constructs a file: protocol URI from it.

## Errors

None.

## See also

URIToFilename |  | Convert a URI to a filename

The latest version of this document can be found at lazarus-ccr.sourceforge.net.